export const metadata = {
  title: "Checks - OnlineOrNot API Documentation",
  description:
    "Create and manage uptime checks, retrieve check results and status history",
}

## List all checks   {{ tag: 'GET', label: '/v1/checks' }}
<Row>
<Col>

<a id="opIdlistChecks"></a>

*Retrieve a paginated list of all uptime checks*

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","default":"1","example":1,"description":"Page number of paginated results."},"required":false,"description":"Page number of paginated results.","name":"page","in":"query","exampleValues":{"object":1,"json":"'1'"},"originalType":"string","safeType":"string","shortDesc":"Page number of paginated results.","style":"form"},{"schema":{"type":"string","default":"20","example":20,"description":"Number of items per page."},"required":false,"description":"Number of items per page.","name":"per_page","in":"query","exampleValues":{"object":20,"json":"'20'"},"originalType":"string","safeType":"string","shortDesc":"Number of items per page.","style":"form"},{"schema":{"type":"string","example":"example","description":"Search term to filter results."},"required":false,"description":"Search term to filter results.","name":"search","in":"query","exampleValues":{"object":"example","json":"'example'"},"originalType":"string","safeType":"string","shortDesc":"Search term to filter results.","style":"form"}]} title="Query parameters" />

<h3 id="retrieve-a-paginated-list-of-all-uptime-checks-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|Returns a list of OnlineOrNot Checks|
|400|[Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1)|Validation error|
|401|[Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1)|Unauthenticated|
|403|[Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3)|Forbidden|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"200","properties":[{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"name":{"type":"string","example":"My landing page","description":"Name of the check"},"url":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for DNS or script-based browser checks)"},"check_type":{"type":"string","enum":["UPTIME","BROWSER","DNS","TCP"],"example":"UPTIME","description":"Indicates whether the check is an uptime, browser, DNS, or TCP check."},"last_queued":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"status":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest event"},"dns_domain":{"type":"string","example":"example.com","description":"DNS name queried by this check. Present for DNS checks."},"dns_record_type":{"type":"string","enum":["A","AAAA","CNAME","MX","NS","SOA","TXT"],"example":"A","description":"DNS record type queried by this check. Present for DNS checks."},"dns_resolver":{"type":["string","null"],"example":"8.8.8.8:53","description":"Custom resolver used by this DNS check, or null for the default resolver."},"dns_protocol":{"type":"string","enum":["UDP","TCP"],"example":"UDP","description":"DNS transport protocol used by this check. Present for DNS checks."},"tcp_hostname":{"type":"string","example":"tcpbin.com","description":"TCP hostname connected to by this check. Present for TCP checks."},"tcp_port":{"type":"integer","minimum":1,"maximum":65535,"example":4242,"description":"TCP port to connect to"},"tcp_ip_family":{"type":"string","enum":["IPv4","IPv6"],"example":"IPv4","description":"IP family used by this check. Present for TCP checks."}},"required":["id","name","url","check_type","last_queued","status"]}},"in":"body","name":"result","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» result"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"in":"body","name":"id","depth":2,"description":"Uptime Check ID","type":"string","safeType":"string","required":true,"displayName":"»» id"},{"schema":{"type":"string","example":"My landing page","description":"Name of the check"},"in":"body","name":"name","depth":2,"description":"Name of the check","type":"string","safeType":"string","required":true,"displayName":"»» name"},{"schema":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for DNS or script-based browser checks)"},"in":"body","name":"url","depth":2,"description":"URL to check (null for DNS or script-based browser checks)","type":["string","null"],"format":"uri","safeType":"string,null(uri)","required":true,"displayName":"»» url"},{"schema":{"type":"string","enum":["UPTIME","BROWSER","DNS","TCP"],"example":"UPTIME","description":"Indicates whether the check is an uptime, browser, DNS, or TCP check."},"in":"body","name":"check_type","depth":2,"description":"Indicates whether the check is an uptime, browser, DNS, or TCP check.","type":"string","safeType":"string","required":true,"displayName":"»» check_type"},{"schema":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"in":"body","name":"last_queued","depth":2,"description":"Last time the check was queued","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»» last_queued"},{"schema":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest event"},"in":"body","name":"status","depth":2,"description":"Current status of the check based on the latest event","type":"string","safeType":"string","required":true,"displayName":"»» status"},{"schema":{"type":"string","example":"example.com","description":"DNS name queried by this check. Present for DNS checks."},"in":"body","name":"dns_domain","depth":2,"description":"DNS name queried by this check. Present for DNS checks.","type":"string","safeType":"string","required":false,"displayName":"»» dns_domain"},{"schema":{"type":"string","enum":["A","AAAA","CNAME","MX","NS","SOA","TXT"],"example":"A","description":"DNS record type queried by this check. Present for DNS checks."},"in":"body","name":"dns_record_type","depth":2,"description":"DNS record type queried by this check. Present for DNS checks.","type":"string","safeType":"string","required":false,"displayName":"»» dns_record_type"},{"schema":{"type":["string","null"],"example":"8.8.8.8:53","description":"Custom resolver used by this DNS check, or null for the default resolver."},"in":"body","name":"dns_resolver","depth":2,"description":"Custom resolver used by this DNS check, or null for the default resolver.","type":["string","null"],"safeType":["string","null"],"required":false,"displayName":"»» dns_resolver"},{"schema":{"type":"string","enum":["UDP","TCP"],"example":"UDP","description":"DNS transport protocol used by this check. Present for DNS checks."},"in":"body","name":"dns_protocol","depth":2,"description":"DNS transport protocol used by this check. Present for DNS checks.","type":"string","safeType":"string","required":false,"displayName":"»» dns_protocol"},{"schema":{"type":"string","example":"tcpbin.com","description":"TCP hostname connected to by this check. Present for TCP checks."},"in":"body","name":"tcp_hostname","depth":2,"description":"TCP hostname connected to by this check. Present for TCP checks.","type":"string","safeType":"string","required":false,"displayName":"»» tcp_hostname"},{"schema":{"type":"integer","minimum":1,"maximum":65535,"example":4242,"description":"TCP port to connect to"},"in":"body","name":"tcp_port","depth":2,"description":"TCP port to connect to","type":"integer","safeType":"integer","required":false,"displayName":"»» tcp_port"},{"schema":{"type":"string","enum":["IPv4","IPv6"],"example":"IPv4","description":"IP family used by this check. Present for TCP checks."},"in":"body","name":"tcp_ip_family","depth":2,"description":"IP family used by this check. Present for TCP checks.","type":"string","safeType":"string","required":false,"displayName":"»» tcp_ip_family"},{"schema":{"type":"object","properties":{"page":{"type":"number","default":1,"example":1,"description":"Page number of paginated results."},"per_page":{"type":"number","default":20,"example":20,"description":"Number of items per page."},"count":{"type":"number","example":1,"description":"Number of items on the current page."},"total_count":{"type":"number","example":1,"description":"Total number of items."}},"required":["count","total_count"]},"in":"body","name":"result_info","depth":1,"type":"object","safeType":"object","required":true,"displayName":"» result_info"},{"schema":{"type":"number","default":1,"example":1,"description":"Page number of paginated results."},"in":"body","name":"page","depth":2,"description":"Page number of paginated results.","type":"number","safeType":"number","required":false,"displayName":"»» page"},{"schema":{"type":"number","default":20,"example":20,"description":"Number of items per page."},"in":"body","name":"per_page","depth":2,"description":"Number of items per page.","type":"number","safeType":"number","required":false,"displayName":"»» per_page"},{"schema":{"type":"number","example":1,"description":"Number of items on the current page."},"in":"body","name":"count","depth":2,"description":"Number of items on the current page.","type":"number","safeType":"number","required":true,"displayName":"»» count"},{"schema":{"type":"number","example":1,"description":"Total number of items."},"in":"body","name":"total_count","depth":2,"description":"Total number of items.","type":"number","safeType":"number","required":true,"displayName":"»» total_count"},{"schema":{"type":"boolean","default":true,"example":true,"description":"Whether the API call was successful"},"in":"body","name":"success","depth":1,"description":"Whether the API call was successful","type":"boolean","safeType":"boolean","required":true,"displayName":"» success"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"errors","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» errors"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"messages","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» messages"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"}]}]} />

</Col>

<Col sticky>

<CodeGroup title="Request" tag="GET" label="/v1/checks">
```bash {{ title: 'cURL' }}
curl --request GET \
  --url https://api.onlineornot.com/v1/checks \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}'
```

```javascript
fetch("https://api.onlineornot.com/v1/checks", {
  "method": "GET",
  "headers": {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
  }
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

```java
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.onlineornot.com/v1/checks")
  .get()
  .addHeader("Accept", "application/json")
  .addHeader("Authorization", "Bearer {access-token}")
  .build();

Response response = client.newCall(request).execute();
```

```php
<?php

$request = new HttpRequest();
$request->setUrl('https://api.onlineornot.com/v1/checks');
$request->setMethod(HTTP_METH_GET);

$request->setHeaders([
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
]);

try {
  $response = $request->send();

  echo $response->getBody();
} catch (HttpException $ex) {
  echo $ex;
}
```

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.onlineornot.com/v1/checks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer {access-token}'

response = http.request(request)
puts response.read_body
```

```python
import requests

url = "https://api.onlineornot.com/v1/checks"

headers = {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

</CodeGroup>

```json {{ title: 'Response' }}
{
  "result": [
    {
      "id": "a1b2c3d4",
      "name": "My landing page",
      "url": "https://example.com",
      "check_type": "UPTIME",
      "last_queued": "2021-01-01T00:00:00.000Z",
      "status": "UP",
      "dns_domain": "example.com",
      "dns_record_type": "A",
      "dns_resolver": "8.8.8.8:53",
      "dns_protocol": "UDP",
      "tcp_hostname": "tcpbin.com",
      "tcp_port": 4242,
      "tcp_ip_family": "IPv4"
    }
  ],
  "result_info": {
    "page": 1,
    "per_page": 20,
    "count": 1,
    "total_count": 1
  },
  "success": true,
  "errors": [],
  "messages": []
}
```

</Col>
</Row>

---

## Create a check   {{ tag: 'POST', label: '/v1/checks' }}
<Row>
<Col>

<a id="opIdcreateCheck"></a>

*Create a new uptime check to monitor a URL*

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"in":"body","schema":{"type":"object","properties":{"name":{"type":"string","example":"My monitor","description":"Name of the monitor"},"test_interval":{"type":"integer","minimum":30,"example":60,"description":"Interval in seconds between checks"},"test_regions":{"type":"array","items":{"type":"string","description":"Region identifier in format aws:{region}"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions to run checks from. Valid regions: aws:us-east-1, aws:us-east-2, aws:us-west-1, aws:eu-central-1, aws:eu-west-2, aws:ap-south-1, aws:ap-southeast-2, aws:ap-northeast-1"},"user_alerts":{"type":"array","items":{"type":"string"}},"slack_alerts":{"type":"array","items":{"type":"string"}},"discord_alerts":{"type":"array","items":{"type":"string"}},"incident_io_alerts":{"type":"array","items":{"type":"string"}},"microsoft_teams_alerts":{"type":"array","items":{"type":"string"}},"telegram_alerts":{"type":"array","items":{"type":"string"}},"pushover_alerts":{"type":"array","items":{"type":"string"}},"webhook_alerts":{"type":"array","items":{"type":"string"},"description":"IDs of webhooks to associate with this check"},"oncall_alerts":{"type":"array","items":{"type":"string"},"description":"IDs of on-call integrations (Grafana, PagerDuty, Opsgenie, Spike)"},"alert_priority":{"type":"string","enum":["LOW","HIGH"],"default":"LOW","example":"LOW","description":"Alert Priority"},"confirmation_period_seconds":{"type":"integer","minimum":0,"default":60,"example":60,"description":"Confirmation period in seconds"},"recovery_period_seconds":{"type":"integer","minimum":0,"default":180,"example":180,"description":"Recovery period in seconds"},"reminder_alert_interval_minutes":{"type":"integer","minimum":-1,"default":1440,"example":1440,"description":"Interval in minutes between reminders (-1 for never)"},"timeout":{"type":"integer","minimum":1000,"default":10000,"example":10000,"description":"Timeout in milliseconds"},"url":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check. Required for URL-based checks, optional for script-based checks."},"text_to_search_for":{"type":"string","maxLength":4000,"example":"Example Domain","description":"Text to search for in the response"},"type":{"type":"string","enum":["UPTIME_CHECK","BROWSER_CHECK"],"default":"UPTIME_CHECK","example":"UPTIME_CHECK","description":"Type of check"},"headers":{"type":"object","additionalProperties":{"type":"string","example":"My Value","description":"Header value"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"method":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"default":"GET","example":"GET","description":"HTTP Method"},"body":{"type":"string","example":"Hello World"},"follow_redirects":{"type":"boolean","default":true,"example":true,"description":"Whether to follow redirects"},"assertions":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"property":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"John Doe","description":"Expected value"}},"required":["type","property","comparison","expected"]},"example":[{"type":"JSON_BODY","property":"$.data.name","comparison":"EQUALS","expected":"John Doe"},{"type":"HTML_BODY","property":"meta[name=\"description\"]","comparison":"NOT_EMPTY","expected":""}],"description":"Assertions to run on the response"},"verify_ssl":{"type":"boolean","default":false,"example":false,"description":"Whether to fail a check if SSL verification fails"},"auth_username":{"type":"string","example":"username","description":"Username to use for URLs behind HTTP Basic Auth"},"auth_password":{"type":"string","example":"password","description":"Password to use for URLs behind HTTP Basic Auth"},"version":{"type":"string","enum":["NODE24_PLAYWRIGHT"],"example":"NODE24_PLAYWRIGHT","description":"Runtime version for browser checks."},"script":{"type":"string","example":"import { test, expect } from '@playwright/test';\ntest('check homepage', async ({ page }) => {\n  await page.goto('https://example.com');\n  await expect(page.locator('h1')).toContainText('Example');\n});","description":"Playwright Test script for scripted browser checks. Required for script-based checks, optional for URL-based checks."}},"required":["name"]},"name":"body","required":true,"exampleValues":{"object":{"name":"My monitor","test_interval":60,"test_regions":["aws:us-east-1","aws:eu-central-1"],"user_alerts":["string"],"slack_alerts":["string"],"discord_alerts":["string"],"incident_io_alerts":["string"],"microsoft_teams_alerts":["string"],"telegram_alerts":["string"],"pushover_alerts":["string"],"webhook_alerts":["string"],"oncall_alerts":["string"],"alert_priority":"LOW","confirmation_period_seconds":60,"recovery_period_seconds":180,"reminder_alert_interval_minutes":1440,"timeout":10000,"url":"https://example.com","text_to_search_for":"Example Domain","type":"UPTIME_CHECK","headers":{"X-My-Header":"My Value"},"method":"GET","body":"Hello World","follow_redirects":true,"assertions":[{"type":"JSON_BODY","property":"$.data.name","comparison":"EQUALS","expected":"John Doe"},{"type":"HTML_BODY","property":"meta[name=\"description\"]","comparison":"NOT_EMPTY","expected":""}],"verify_ssl":false,"auth_username":"username","auth_password":"password","version":"NODE24_PLAYWRIGHT","script":"import { test, expect } from '@playwright/test';\ntest('check homepage', async ({ page }) => {\n  await page.goto('https://example.com');\n  await expect(page.locator('h1')).toContainText('Example');\n});"},"json":"{\n  \"name\": \"My monitor\",\n  \"test_interval\": 60,\n  \"test_regions\": [\n    \"aws:us-east-1\",\n    \"aws:eu-central-1\"\n  ],\n  \"user_alerts\": [\n    \"string\"\n  ],\n  \"slack_alerts\": [\n    \"string\"\n  ],\n  \"discord_alerts\": [\n    \"string\"\n  ],\n  \"incident_io_alerts\": [\n    \"string\"\n  ],\n  \"microsoft_teams_alerts\": [\n    \"string\"\n  ],\n  \"telegram_alerts\": [\n    \"string\"\n  ],\n  \"pushover_alerts\": [\n    \"string\"\n  ],\n  \"webhook_alerts\": [\n    \"string\"\n  ],\n  \"oncall_alerts\": [\n    \"string\"\n  ],\n  \"alert_priority\": \"LOW\",\n  \"confirmation_period_seconds\": 60,\n  \"recovery_period_seconds\": 180,\n  \"reminder_alert_interval_minutes\": 1440,\n  \"timeout\": 10000,\n  \"url\": \"https://example.com\",\n  \"text_to_search_for\": \"Example Domain\",\n  \"type\": \"UPTIME_CHECK\",\n  \"headers\": {\n    \"X-My-Header\": \"My Value\"\n  },\n  \"method\": \"GET\",\n  \"body\": \"Hello World\",\n  \"follow_redirects\": true,\n  \"assertions\": [\n    {\n      \"type\": \"JSON_BODY\",\n      \"property\": \"$.data.name\",\n      \"comparison\": \"EQUALS\",\n      \"expected\": \"John Doe\"\n    },\n    {\n      \"type\": \"HTML_BODY\",\n      \"property\": \"meta[name=\\\"description\\\"]\",\n      \"comparison\": \"NOT_EMPTY\",\n      \"expected\": \"\"\n    }\n  ],\n  \"verify_ssl\": false,\n  \"auth_username\": \"username\",\n  \"auth_password\": \"password\",\n  \"version\": \"NODE24_PLAYWRIGHT\",\n  \"script\": \"import { test, expect } from '@playwright/test';\\ntest('check homepage', async ({ page }) => {\\n  await page.goto('https://example.com');\\n  await expect(page.locator('h1')).toContainText('Example');\\n});\"\n}"},"originalType":"object","safeType":"object"},{"in":"body","schema":{"type":"string","example":"My monitor","description":"Name of the monitor"},"name":"» name","required":true,"description":"Name of the monitor","safeType":"string","depth":1,"exampleValues":{"object":"My monitor","json":"'My monitor'"},"shortDesc":"Name of the monitor"},{"in":"body","schema":{"type":"integer","minimum":30,"example":60,"description":"Interval in seconds between checks"},"name":"» test_interval","required":false,"description":"Interval in seconds between checks","safeType":"integer","depth":1,"exampleValues":{"object":60,"json":"'60'"},"shortDesc":"Interval in seconds between checks"},{"in":"body","schema":{"type":"array","items":{"type":"string","description":"Region identifier in format aws:{region}"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions to run checks from. Valid regions: aws:us-east-1, aws:us-east-2, aws:us-west-1, aws:eu-central-1, aws:eu-west-2, aws:ap-south-1, aws:ap-southeast-2, aws:ap-northeast-1"},"name":"» test_regions","required":false,"description":"Regions to run checks from. Valid regions: aws:us-east-1, aws:us-east-2, aws:us-west-1, aws:eu-central-1, aws:eu-west-2, aws:ap-south-1, aws:ap-southeast-2, aws:ap-northeast-1","safeType":"string[]","depth":1,"exampleValues":{"object":["aws:us-east-1","aws:eu-central-1"],"json":"[\n  \"aws:us-east-1\",\n  \"aws:eu-central-1\"\n]"},"shortDesc":"Regions to run checks from. Valid regions: aws:us-east-1, aws:us-east-2, aws:us-west-1, aws:eu-central-1, aws:eu-west-2, aws:ap-south-1, aws:ap-southeast-2, aws:ap-northeast-1"},{"in":"body","schema":{"type":"array","items":{"type":"string"}},"name":"» user_alerts","required":false,"safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"}},{"in":"body","schema":{"type":"array","items":{"type":"string"}},"name":"» slack_alerts","required":false,"safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"}},{"in":"body","schema":{"type":"array","items":{"type":"string"}},"name":"» discord_alerts","required":false,"safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"}},{"in":"body","schema":{"type":"array","items":{"type":"string"}},"name":"» incident_io_alerts","required":false,"safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"}},{"in":"body","schema":{"type":"array","items":{"type":"string"}},"name":"» microsoft_teams_alerts","required":false,"safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"}},{"in":"body","schema":{"type":"array","items":{"type":"string"}},"name":"» telegram_alerts","required":false,"safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"}},{"in":"body","schema":{"type":"array","items":{"type":"string"}},"name":"» pushover_alerts","required":false,"safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"}},{"in":"body","schema":{"type":"array","items":{"type":"string"},"description":"IDs of webhooks to associate with this check"},"name":"» webhook_alerts","required":false,"description":"IDs of webhooks to associate with this check","safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"},"shortDesc":"IDs of webhooks to associate with this check"},{"in":"body","schema":{"type":"array","items":{"type":"string"},"description":"IDs of on-call integrations (Grafana, PagerDuty, Opsgenie, Spike)"},"name":"» oncall_alerts","required":false,"description":"IDs of on-call integrations (Grafana, PagerDuty, Opsgenie, Spike)","safeType":"string[]","depth":1,"exampleValues":{"object":["string"],"json":"[\n  \"string\"\n]"},"shortDesc":"IDs of on-call integrations (Grafana, PagerDuty, Opsgenie, Spike)"},{"in":"body","schema":{"type":"string","enum":["LOW","HIGH"],"default":"LOW","example":"LOW","description":"Alert Priority"},"name":"» alert_priority","required":false,"description":"Alert Priority","safeType":"string","depth":1,"exampleValues":{"object":"LOW","json":"'LOW'"},"shortDesc":"Alert Priority"},{"in":"body","schema":{"type":"integer","minimum":0,"default":60,"example":60,"description":"Confirmation period in seconds"},"name":"» confirmation_period_seconds","required":false,"description":"Confirmation period in seconds","safeType":"integer","depth":1,"exampleValues":{"object":60,"json":"'60'"},"shortDesc":"Confirmation period in seconds"},{"in":"body","schema":{"type":"integer","minimum":0,"default":180,"example":180,"description":"Recovery period in seconds"},"name":"» recovery_period_seconds","required":false,"description":"Recovery period in seconds","safeType":"integer","depth":1,"exampleValues":{"object":180,"json":"'180'"},"shortDesc":"Recovery period in seconds"},{"in":"body","schema":{"type":"integer","minimum":-1,"default":1440,"example":1440,"description":"Interval in minutes between reminders (-1 for never)"},"name":"» reminder_alert_interval_minutes","required":false,"description":"Interval in minutes between reminders (-1 for never)","safeType":"integer","depth":1,"exampleValues":{"object":1440,"json":"'1440'"},"shortDesc":"Interval in minutes between reminders (-1 for never)"},{"in":"body","schema":{"type":"integer","minimum":1000,"default":10000,"example":10000,"description":"Timeout in milliseconds"},"name":"» timeout","required":false,"description":"Timeout in milliseconds","safeType":"integer","depth":1,"exampleValues":{"object":10000,"json":"'10000'"},"shortDesc":"Timeout in milliseconds"},{"in":"body","schema":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check. Required for URL-based checks, optional for script-based checks."},"name":"» url","required":false,"description":"URL to check. Required for URL-based checks, optional for script-based checks.","safeType":"string,null(uri)","depth":1,"exampleValues":{"object":"https://example.com","json":"'https://example.com'"},"shortDesc":"URL to check. Required for URL-based checks, optional for script-based checks."},{"in":"body","schema":{"type":"string","maxLength":4000,"example":"Example Domain","description":"Text to search for in the response"},"name":"» text_to_search_for","required":false,"description":"Text to search for in the response","safeType":"string","depth":1,"exampleValues":{"object":"Example Domain","json":"'Example Domain'"},"shortDesc":"Text to search for in the response"},{"in":"body","schema":{"type":"string","enum":["UPTIME_CHECK","BROWSER_CHECK"],"default":"UPTIME_CHECK","example":"UPTIME_CHECK","description":"Type of check"},"name":"» type","required":false,"description":"Type of check","safeType":"string","depth":1,"exampleValues":{"object":"UPTIME_CHECK","json":"'UPTIME_CHECK'"},"shortDesc":"Type of check"},{"in":"body","schema":{"type":"object","additionalProperties":{"type":"string","example":"My Value","description":"Header value"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"name":"» headers","required":false,"description":"Headers to send with the request","safeType":"object","depth":1,"exampleValues":{"object":{"X-My-Header":"My Value"},"json":"{\n  \"X-My-Header\": \"My Value\"\n}"},"shortDesc":"Headers to send with the request"},{"in":"body","schema":{"type":"string","example":"My Value","description":"Header value"},"name":"»» **additionalProperties**","required":false,"description":"Header value","safeType":"string","depth":2,"exampleValues":{"object":"My Value","json":"'My Value'"},"shortDesc":"Header value"},{"in":"body","schema":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"default":"GET","example":"GET","description":"HTTP Method"},"name":"» method","required":false,"description":"HTTP Method","safeType":"string","depth":1,"exampleValues":{"object":"GET","json":"'GET'"},"shortDesc":"HTTP Method"},{"in":"body","schema":{"type":"string","example":"Hello World"},"name":"» body","required":false,"safeType":"string","depth":1,"exampleValues":{"object":"Hello World","json":"'Hello World'"}},{"in":"body","schema":{"type":"boolean","default":true,"example":true,"description":"Whether to follow redirects"},"name":"» follow_redirects","required":false,"description":"Whether to follow redirects","safeType":"boolean","depth":1,"exampleValues":{"object":true,"json":"'true'"},"shortDesc":"Whether to follow redirects"},{"in":"body","schema":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"property":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"John Doe","description":"Expected value"}},"required":["type","property","comparison","expected"]},"example":[{"type":"JSON_BODY","property":"$.data.name","comparison":"EQUALS","expected":"John Doe"},{"type":"HTML_BODY","property":"meta[name=\"description\"]","comparison":"NOT_EMPTY","expected":""}],"description":"Assertions to run on the response"},"name":"» assertions","required":false,"description":"Assertions to run on the response","safeType":"object[]","depth":1,"exampleValues":{"object":[{"type":"JSON_BODY","property":"$.data.name","comparison":"EQUALS","expected":"John Doe"},{"type":"HTML_BODY","property":"meta[name=\"description\"]","comparison":"NOT_EMPTY","expected":""}],"json":"[\n  {\n    \"type\": \"JSON_BODY\",\n    \"property\": \"$.data.name\",\n    \"comparison\": \"EQUALS\",\n    \"expected\": \"John Doe\"\n  },\n  {\n    \"type\": \"HTML_BODY\",\n    \"property\": \"meta[name=\\\"description\\\"]\",\n    \"comparison\": \"NOT_EMPTY\",\n    \"expected\": \"\"\n  }\n]"},"shortDesc":"Assertions to run on the response"},{"in":"body","schema":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"name":"»» type","required":true,"description":"Type of assertion","safeType":"string","depth":2,"exampleValues":{"object":"JSON_BODY","json":"'JSON_BODY'"},"shortDesc":"Type of assertion"},{"in":"body","schema":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"name":"»» property","required":true,"description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)","safeType":"string","depth":2,"exampleValues":{"object":"$.data.name","json":"'$.data.name'"},"shortDesc":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},{"in":"body","schema":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"name":"»» comparison","required":true,"description":"Comparison operator","safeType":"string","depth":2,"exampleValues":{"object":"EQUALS","json":"'EQUALS'"},"shortDesc":"Comparison operator"},{"in":"body","schema":{"type":"string","example":"John Doe","description":"Expected value"},"name":"»» expected","required":true,"description":"Expected value","safeType":"string","depth":2,"exampleValues":{"object":"John Doe","json":"'John Doe'"},"shortDesc":"Expected value"},{"in":"body","schema":{"type":"boolean","default":false,"example":false,"description":"Whether to fail a check if SSL verification fails"},"name":"» verify_ssl","required":false,"description":"Whether to fail a check if SSL verification fails","safeType":"boolean","depth":1,"exampleValues":{"object":false,"json":"'false'"},"shortDesc":"Whether to fail a check if SSL verification fails"},{"in":"body","schema":{"type":"string","example":"username","description":"Username to use for URLs behind HTTP Basic Auth"},"name":"» auth_username","required":false,"description":"Username to use for URLs behind HTTP Basic Auth","safeType":"string","depth":1,"exampleValues":{"object":"username","json":"'username'"},"shortDesc":"Username to use for URLs behind HTTP Basic Auth"},{"in":"body","schema":{"type":"string","example":"password","description":"Password to use for URLs behind HTTP Basic Auth"},"name":"» auth_password","required":false,"description":"Password to use for URLs behind HTTP Basic Auth","safeType":"string","depth":1,"exampleValues":{"object":"password","json":"'password'"},"shortDesc":"Password to use for URLs behind HTTP Basic Auth"},{"in":"body","schema":{"type":"string","enum":["NODE24_PLAYWRIGHT"],"example":"NODE24_PLAYWRIGHT","description":"Runtime version for browser checks."},"name":"» version","required":false,"description":"Runtime version for browser checks.","safeType":"string","depth":1,"exampleValues":{"object":"NODE24_PLAYWRIGHT","json":"'NODE24_PLAYWRIGHT'"},"shortDesc":"Runtime version for browser checks."},{"in":"body","schema":{"type":"string","example":"import { test, expect } from '@playwright/test';\ntest('check homepage', async ({ page }) => {\n  await page.goto('https://example.com');\n  await expect(page.locator('h1')).toContainText('Example');\n});","description":"Playwright Test script for scripted browser checks. Required for script-based checks, optional for URL-based checks."},"name":"» script","required":false,"description":"Playwright Test script for scripted browser checks. Required for script-based checks, optional for URL-based checks.","safeType":"string","depth":1,"exampleValues":{"object":"import { test, expect } from '@playwright/test';\ntest('check homepage', async ({ page }) => {\n  await page.goto('https://example.com');\n  await expect(page.locator('h1')).toContainText('Example');\n});","json":"'import { test, expect } from '@playwright/test';\ntest('check homepage', async ({ page }) => {\n  await page.goto('https://example.com');\n  await expect(page.locator('h1')).toContainText('Example');\n});'"},"shortDesc":"Playwright Test script for scripted browser checks. Required for script-based checks, optional for URL-based checks."}]} title="Body parameters" />

<h3 id="create-a-new-uptime-check-to-monitor-a-url-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|201|[Created](https://tools.ietf.org/html/rfc7231#section-6.3.2)|Create a new OnlineOrNot Check|
|400|[Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1)|Validation error|
|401|[Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1)|Unauthenticated|
|403|[Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3)|Forbidden|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"201","properties":[{"schema":{"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"name":{"type":"string","example":"My landing page","description":"Name of the check"},"url":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for script-based browser checks)"},"check_type":{"type":"string","enum":["UPTIME","BROWSER"],"example":"UPTIME","description":"Indicates whether the check is a regular uptime check or browser check."},"last_queued":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"status":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"}},"required":["id","name","url","check_type","last_queued","status"]},{"type":"object","properties":{"headers":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"text_to_search_for":{"type":["string","null"],"description":"Text to search for in the response"},"reminder_alert_interval_minutes":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"confirmation_period_seconds":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"recovery_period_seconds":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"test_interval":{"type":"number","example":60,"description":"Interval in seconds between checks"},"timeout":{"type":"number","example":10000,"description":"Timeout in milliseconds"},"version":{"type":["string","null"],"enum":["NODE20_PLAYWRIGHT","NODE24_PLAYWRIGHT","CLOUDFLARE"],"example":"NODE24_PLAYWRIGHT","description":"Runtime version for browser checks (null for standard uptime checks)"},"script":{"type":["string","null"],"description":"Playwright Test script for scripted browser checks (null for URL-based checks)"},"alert_priority":{"type":"string","enum":["LOW","HIGH"],"example":"HIGH","description":"Priority level for alerts"},"verify_ssl":{"type":"boolean","example":true,"description":"Whether to verify SSL certificates"},"method":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"example":"GET","description":"HTTP method to use"},"body":{"type":["string","null"],"description":"Request body for POST/PUT/PATCH requests"},"follow_redirects":{"type":"boolean","example":true,"description":"Whether to follow HTTP redirects"},"assertions":{"type":["array","null"],"items":{"type":"object","properties":{"type":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"property":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"John Doe","description":"Expected value"}},"required":["type","property","comparison","expected"]},"description":"Assertions to validate the response"},"auth_username":{"type":["string","null"],"description":"Username for HTTP Basic Auth"},"auth_password":{"type":["string","null"],"description":"Password for HTTP Basic Auth"},"test_regions":{"type":"array","items":{"type":"string"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions the check runs from. Format: aws:{region}"},"user_alerts":{"type":"array","items":{"type":"string"},"description":"User IDs to notify on alerts"},"slack_alerts":{"type":"array","items":{"type":"string"},"description":"Slack integration IDs to notify"},"discord_alerts":{"type":"array","items":{"type":"string"},"description":"Discord integration IDs to notify"},"incident_io_alerts":{"type":"array","items":{"type":"string"},"description":"Incident.io integration IDs to notify"},"microsoft_teams_alerts":{"type":"array","items":{"type":"string"},"description":"Microsoft Teams integration IDs to notify"},"telegram_alerts":{"type":"array","items":{"type":"string"},"description":"Telegram integration IDs to notify"},"pushover_alerts":{"type":"array","items":{"type":"string"},"description":"Pushover integration IDs to notify"},"oncall_alerts":{"type":"array","items":{"type":"string"},"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)"},"webhook_alerts":{"type":"array","items":{"type":"string"},"description":"Webhook IDs to notify"}},"required":["headers","text_to_search_for","reminder_alert_interval_minutes","confirmation_period_seconds","recovery_period_seconds","test_interval","timeout","version","script","alert_priority","verify_ssl","method","body","follow_redirects","assertions","auth_username","auth_password","test_regions","user_alerts","slack_alerts","discord_alerts","incident_io_alerts","microsoft_teams_alerts","telegram_alerts","pushover_alerts","oncall_alerts","webhook_alerts"]}]},"in":"body","name":"result","depth":1,"type":"any","safeType":"any","required":true,"displayName":"» result"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"name":{"type":"string","example":"My landing page","description":"Name of the check"},"url":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for script-based browser checks)"},"check_type":{"type":"string","enum":["UPTIME","BROWSER"],"example":"UPTIME","description":"Indicates whether the check is a regular uptime check or browser check."},"last_queued":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"status":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"}},"required":["id","name","url","check_type","last_queued","status"]},"in":"body","name":"*anonymous*","depth":2,"type":"object","safeType":"object","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"in":"body","name":"id","depth":3,"description":"Uptime Check ID","type":"string","safeType":"string","required":true,"displayName":"»»» id"},{"schema":{"type":"string","example":"My landing page","description":"Name of the check"},"in":"body","name":"name","depth":3,"description":"Name of the check","type":"string","safeType":"string","required":true,"displayName":"»»» name"},{"schema":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for script-based browser checks)"},"in":"body","name":"url","depth":3,"description":"URL to check (null for script-based browser checks)","type":["string","null"],"format":"uri","safeType":"string,null(uri)","required":true,"displayName":"»»» url"},{"schema":{"type":"string","enum":["UPTIME","BROWSER"],"example":"UPTIME","description":"Indicates whether the check is a regular uptime check or browser check."},"in":"body","name":"check_type","depth":3,"description":"Indicates whether the check is a regular uptime check or browser check.","type":"string","safeType":"string","required":true,"displayName":"»»» check_type"},{"schema":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"in":"body","name":"last_queued","depth":3,"description":"Last time the check was queued","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» last_queued"},{"schema":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"},"in":"body","name":"status","depth":3,"description":"Current status of the check based on the latest uptime event","type":"string","safeType":"string","required":true,"displayName":"»»» status"},{"schema":{"type":"object","properties":{"headers":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"text_to_search_for":{"type":["string","null"],"description":"Text to search for in the response"},"reminder_alert_interval_minutes":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"confirmation_period_seconds":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"recovery_period_seconds":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"test_interval":{"type":"number","example":60,"description":"Interval in seconds between checks"},"timeout":{"type":"number","example":10000,"description":"Timeout in milliseconds"},"version":{"type":["string","null"],"enum":["NODE20_PLAYWRIGHT","NODE24_PLAYWRIGHT","CLOUDFLARE"],"example":"NODE24_PLAYWRIGHT","description":"Runtime version for browser checks (null for standard uptime checks)"},"script":{"type":["string","null"],"description":"Playwright Test script for scripted browser checks (null for URL-based checks)"},"alert_priority":{"type":"string","enum":["LOW","HIGH"],"example":"HIGH","description":"Priority level for alerts"},"verify_ssl":{"type":"boolean","example":true,"description":"Whether to verify SSL certificates"},"method":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"example":"GET","description":"HTTP method to use"},"body":{"type":["string","null"],"description":"Request body for POST/PUT/PATCH requests"},"follow_redirects":{"type":"boolean","example":true,"description":"Whether to follow HTTP redirects"},"assertions":{"type":["array","null"],"items":{"type":"object","properties":{"type":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"property":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"John Doe","description":"Expected value"}},"required":["type","property","comparison","expected"]},"description":"Assertions to validate the response"},"auth_username":{"type":["string","null"],"description":"Username for HTTP Basic Auth"},"auth_password":{"type":["string","null"],"description":"Password for HTTP Basic Auth"},"test_regions":{"type":"array","items":{"type":"string"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions the check runs from. Format: aws:{region}"},"user_alerts":{"type":"array","items":{"type":"string"},"description":"User IDs to notify on alerts"},"slack_alerts":{"type":"array","items":{"type":"string"},"description":"Slack integration IDs to notify"},"discord_alerts":{"type":"array","items":{"type":"string"},"description":"Discord integration IDs to notify"},"incident_io_alerts":{"type":"array","items":{"type":"string"},"description":"Incident.io integration IDs to notify"},"microsoft_teams_alerts":{"type":"array","items":{"type":"string"},"description":"Microsoft Teams integration IDs to notify"},"telegram_alerts":{"type":"array","items":{"type":"string"},"description":"Telegram integration IDs to notify"},"pushover_alerts":{"type":"array","items":{"type":"string"},"description":"Pushover integration IDs to notify"},"oncall_alerts":{"type":"array","items":{"type":"string"},"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)"},"webhook_alerts":{"type":"array","items":{"type":"string"},"description":"Webhook IDs to notify"}},"required":["headers","text_to_search_for","reminder_alert_interval_minutes","confirmation_period_seconds","recovery_period_seconds","test_interval","timeout","version","script","alert_priority","verify_ssl","method","body","follow_redirects","assertions","auth_username","auth_password","test_regions","user_alerts","slack_alerts","discord_alerts","incident_io_alerts","microsoft_teams_alerts","telegram_alerts","pushover_alerts","oncall_alerts","webhook_alerts"]},"in":"body","name":"*anonymous*","depth":2,"type":"object","safeType":"object","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"in":"body","name":"headers","depth":3,"description":"Headers to send with the request","type":["object","null"],"safeType":["object","null"],"required":true,"displayName":"»»» headers"},{"schema":{"type":"string"},"in":"body","name":"**additionalProperties**","depth":4,"type":"string","safeType":"string","required":false,"displayName":"»»»» **additionalProperties**"},{"schema":{"type":["string","null"],"description":"Text to search for in the response"},"in":"body","name":"text_to_search_for","depth":3,"description":"Text to search for in the response","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» text_to_search_for"},{"schema":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"in":"body","name":"reminder_alert_interval_minutes","depth":3,"description":"Interval in minutes between reminder alerts (-1 for never)","type":"number","safeType":"number","required":true,"displayName":"»»» reminder_alert_interval_minutes"},{"schema":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"in":"body","name":"confirmation_period_seconds","depth":3,"description":"Seconds to wait before confirming a down status","type":"number","safeType":"number","required":true,"displayName":"»»» confirmation_period_seconds"},{"schema":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"in":"body","name":"recovery_period_seconds","depth":3,"description":"Seconds to wait before confirming recovery","type":"number","safeType":"number","required":true,"displayName":"»»» recovery_period_seconds"},{"schema":{"type":"number","example":60,"description":"Interval in seconds between checks"},"in":"body","name":"test_interval","depth":3,"description":"Interval in seconds between checks","type":"number","safeType":"number","required":true,"displayName":"»»» test_interval"},{"schema":{"type":"number","example":10000,"description":"Timeout in milliseconds"},"in":"body","name":"timeout","depth":3,"description":"Timeout in milliseconds","type":"number","safeType":"number","required":true,"displayName":"»»» timeout"},{"schema":{"type":["string","null"],"enum":["NODE20_PLAYWRIGHT","NODE24_PLAYWRIGHT","CLOUDFLARE"],"example":"NODE24_PLAYWRIGHT","description":"Runtime version for browser checks (null for standard uptime checks)"},"in":"body","name":"version","depth":3,"description":"Runtime version for browser checks (null for standard uptime checks)","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» version"},{"schema":{"type":["string","null"],"description":"Playwright Test script for scripted browser checks (null for URL-based checks)"},"in":"body","name":"script","depth":3,"description":"Playwright Test script for scripted browser checks (null for URL-based checks)","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» script"},{"schema":{"type":"string","enum":["LOW","HIGH"],"example":"HIGH","description":"Priority level for alerts"},"in":"body","name":"alert_priority","depth":3,"description":"Priority level for alerts","type":"string","safeType":"string","required":true,"displayName":"»»» alert_priority"},{"schema":{"type":"boolean","example":true,"description":"Whether to verify SSL certificates"},"in":"body","name":"verify_ssl","depth":3,"description":"Whether to verify SSL certificates","type":"boolean","safeType":"boolean","required":true,"displayName":"»»» verify_ssl"},{"schema":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"example":"GET","description":"HTTP method to use"},"in":"body","name":"method","depth":3,"description":"HTTP method to use","type":"string","safeType":"string","required":true,"displayName":"»»» method"},{"schema":{"type":["string","null"],"description":"Request body for POST/PUT/PATCH requests"},"in":"body","name":"body","depth":3,"description":"Request body for POST/PUT/PATCH requests","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» body"},{"schema":{"type":"boolean","example":true,"description":"Whether to follow HTTP redirects"},"in":"body","name":"follow_redirects","depth":3,"description":"Whether to follow HTTP redirects","type":"boolean","safeType":"boolean","required":true,"displayName":"»»» follow_redirects"},{"schema":{"type":["array","null"],"items":{"type":"object","properties":{"type":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"property":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"John Doe","description":"Expected value"}},"required":["type","property","comparison","expected"]},"description":"Assertions to validate the response"},"in":"body","name":"assertions","depth":3,"description":"Assertions to validate the response","type":["array","null"],"safeType":["array","null"],"required":true,"displayName":"»»» assertions"},{"schema":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"in":"body","name":"type","depth":4,"description":"Type of assertion","type":"string","safeType":"string","required":true,"displayName":"»»»» type"},{"schema":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"in":"body","name":"property","depth":4,"description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)","type":"string","safeType":"string","required":true,"displayName":"»»»» property"},{"schema":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"in":"body","name":"comparison","depth":4,"description":"Comparison operator","type":"string","safeType":"string","required":true,"displayName":"»»»» comparison"},{"schema":{"type":"string","example":"John Doe","description":"Expected value"},"in":"body","name":"expected","depth":4,"description":"Expected value","type":"string","safeType":"string","required":true,"displayName":"»»»» expected"},{"schema":{"type":["string","null"],"description":"Username for HTTP Basic Auth"},"in":"body","name":"auth_username","depth":3,"description":"Username for HTTP Basic Auth","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» auth_username"},{"schema":{"type":["string","null"],"description":"Password for HTTP Basic Auth"},"in":"body","name":"auth_password","depth":3,"description":"Password for HTTP Basic Auth","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» auth_password"},{"schema":{"type":"array","items":{"type":"string"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions the check runs from. Format: aws:{region}"},"in":"body","name":"test_regions","depth":3,"description":"Regions the check runs from. Format: aws:{region}","type":"array","safeType":"string[]","required":true,"displayName":"»»» test_regions"},{"schema":{"type":"array","items":{"type":"string"},"description":"User IDs to notify on alerts"},"in":"body","name":"user_alerts","depth":3,"description":"User IDs to notify on alerts","type":"array","safeType":"string[]","required":true,"displayName":"»»» user_alerts"},{"schema":{"type":"array","items":{"type":"string"},"description":"Slack integration IDs to notify"},"in":"body","name":"slack_alerts","depth":3,"description":"Slack integration IDs to notify","type":"array","safeType":"string[]","required":true,"displayName":"»»» slack_alerts"},{"schema":{"type":"array","items":{"type":"string"},"description":"Discord integration IDs to notify"},"in":"body","name":"discord_alerts","depth":3,"description":"Discord integration IDs to notify","type":"array","safeType":"string[]","required":true,"displayName":"»»» discord_alerts"},{"schema":{"type":"array","items":{"type":"string"},"description":"Incident.io integration IDs to notify"},"in":"body","name":"incident_io_alerts","depth":3,"description":"Incident.io integration IDs to notify","type":"array","safeType":"string[]","required":true,"displayName":"»»» incident_io_alerts"},{"schema":{"type":"array","items":{"type":"string"},"description":"Microsoft Teams integration IDs to notify"},"in":"body","name":"microsoft_teams_alerts","depth":3,"description":"Microsoft Teams integration IDs to notify","type":"array","safeType":"string[]","required":true,"displayName":"»»» microsoft_teams_alerts"},{"schema":{"type":"array","items":{"type":"string"},"description":"Telegram integration IDs to notify"},"in":"body","name":"telegram_alerts","depth":3,"description":"Telegram integration IDs to notify","type":"array","safeType":"string[]","required":true,"displayName":"»»» telegram_alerts"},{"schema":{"type":"array","items":{"type":"string"},"description":"Pushover integration IDs to notify"},"in":"body","name":"pushover_alerts","depth":3,"description":"Pushover integration IDs to notify","type":"array","safeType":"string[]","required":true,"displayName":"»»» pushover_alerts"},{"schema":{"type":"array","items":{"type":"string"},"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)"},"in":"body","name":"oncall_alerts","depth":3,"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)","type":"array","safeType":"string[]","required":true,"displayName":"»»» oncall_alerts"},{"schema":{"type":"array","items":{"type":"string"},"description":"Webhook IDs to notify"},"in":"body","name":"webhook_alerts","depth":3,"description":"Webhook IDs to notify","type":"array","safeType":"string[]","required":true,"displayName":"»»» webhook_alerts"},{"schema":{"type":"boolean","default":true,"example":true,"description":"Whether the API call was successful"},"in":"body","name":"success","depth":1,"description":"Whether the API call was successful","type":"boolean","safeType":"boolean","required":true,"displayName":"» success"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"errors","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» errors"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"messages","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» messages"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"}]}]} />

</Col>

<Col sticky>

<CodeGroup title="Request" tag="POST" label="/v1/checks">
```bash {{ title: 'cURL' }}
curl --request POST \
  --url https://api.onlineornot.com/v1/checks \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}' \
  --header 'Content-Type: application/json' \
  --data '{"name":"My Website Check","url":"https://example.com","test_interval":60}'
```

```javascript
fetch("https://api.onlineornot.com/v1/checks", {
  "method": "POST",
  "headers": {
    "Content-Type": "application/json",
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
  },
  "body": "{\"name\":\"My Website Check\",\"url\":\"https://example.com\",\"test_interval\":60}"
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

```java
OkHttpClient client = new OkHttpClient();

MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"name\":\"My Website Check\",\"url\":\"https://example.com\",\"test_interval\":60}");
Request request = new Request.Builder()
  .url("https://api.onlineornot.com/v1/checks")
  .post(body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Accept", "application/json")
  .addHeader("Authorization", "Bearer {access-token}")
  .build();

Response response = client.newCall(request).execute();
```

```php
<?php

$request = new HttpRequest();
$request->setUrl('https://api.onlineornot.com/v1/checks');
$request->setMethod(HTTP_METH_POST);

$request->setHeaders([
  'Content-Type' => 'application/json',
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
]);

$request->setBody('{"name":"My Website Check","url":"https://example.com","test_interval":60}');

try {
  $response = $request->send();

  echo $response->getBody();
} catch (HttpException $ex) {
  echo $ex;
}
```

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.onlineornot.com/v1/checks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer {access-token}'
request.body = "{\"name\":\"My Website Check\",\"url\":\"https://example.com\",\"test_interval\":60}"

response = http.request(request)
puts response.read_body
```

```python
import requests

url = "https://api.onlineornot.com/v1/checks"

payload = {
    "name": "My Website Check",
    "url": "https://example.com",
    "test_interval": 60
}
headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
}

response = requests.request("POST", url, json=payload, headers=headers)

print(response.text)
```

</CodeGroup>

```json {{ title: 'Response' }}
{
  "result": {
    "id": "a1b2c3d4",
    "name": "My landing page",
    "url": "https://example.com",
    "check_type": "UPTIME",
    "last_queued": "2021-01-01T00:00:00.000Z",
    "status": "UP",
    "headers": {
      "X-My-Header": "My Value"
    },
    "text_to_search_for": "string",
    "reminder_alert_interval_minutes": 1440,
    "confirmation_period_seconds": 60,
    "recovery_period_seconds": 180,
    "test_interval": 60,
    "timeout": 10000,
    "version": "NODE24_PLAYWRIGHT",
    "script": "string",
    "alert_priority": "HIGH",
    "verify_ssl": true,
    "method": "GET",
    "body": "string",
    "follow_redirects": true,
    "assertions": [
      {
        "type": "JSON_BODY",
        "property": "$.data.name",
        "comparison": "EQUALS",
        "expected": "John Doe"
      }
    ],
    "auth_username": "string",
    "auth_password": "string",
    "test_regions": [
      "aws:us-east-1",
      "aws:eu-central-1"
    ],
    "user_alerts": [
      "string"
    ],
    "slack_alerts": [
      "string"
    ],
    "discord_alerts": [
      "string"
    ],
    "incident_io_alerts": [
      "string"
    ],
    "microsoft_teams_alerts": [
      "string"
    ],
    "telegram_alerts": [
      "string"
    ],
    "pushover_alerts": [
      "string"
    ],
    "oncall_alerts": [
      "string"
    ],
    "webhook_alerts": [
      "string"
    ]
  },
  "success": true,
  "errors": [],
  "messages": []
}
```

</Col>
</Row>

---

## Retrieve a check   {{ tag: 'GET', label: '/v1/checks/{check_id}' }}
<Row>
<Col>

<a id="opIdgetCheck"></a>

*Look up detailed information about a specific uptime check*

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Uptime Check ID"},"required":true,"description":"Uptime Check ID","name":"check_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Uptime Check ID","style":"simple"}]} title="Path parameters" />

<h3 id="look-up-detailed-information-about-a-specific-uptime-check-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|Retrieve the specified OnlineOrNot Check|
|401|[Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1)|Unauthenticated|
|403|[Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3)|Forbidden|
|404|[Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4)|Check not found|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"200","properties":[{"schema":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"name":{"type":"string","example":"My landing page","description":"Name of the check"},"url":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for script-based browser checks)"},"last_queued":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"status":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"},"headers":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"text_to_search_for":{"type":["string","null"],"description":"Text to search for in the response"},"reminder_alert_interval_minutes":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"confirmation_period_seconds":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"recovery_period_seconds":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"test_interval":{"type":"number","example":60,"description":"Interval in seconds between checks"},"timeout":{"type":"number","example":10000,"description":"Timeout in milliseconds"},"version":{"type":["string","null"],"enum":["NODE20_PLAYWRIGHT","NODE24_PLAYWRIGHT","CLOUDFLARE"],"example":"NODE24_PLAYWRIGHT","description":"Runtime version for browser checks (null for standard uptime checks)"},"script":{"type":["string","null"],"description":"Playwright Test script for scripted browser checks (null for URL-based checks)"},"alert_priority":{"type":"string","enum":["LOW","HIGH"],"example":"HIGH","description":"Priority level for alerts"},"verify_ssl":{"type":"boolean","example":true,"description":"Whether to verify SSL certificates"},"method":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"example":"GET","description":"HTTP method to use"},"body":{"type":["string","null"],"description":"Request body for POST/PUT/PATCH requests"},"follow_redirects":{"type":"boolean","example":true,"description":"Whether to follow HTTP redirects"},"assertions":{"type":["array","null"],"items":{"type":"object","properties":{"type":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"property":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"John Doe","description":"Expected value"}},"required":["type","property","comparison","expected"]},"description":"Assertions to validate the response"},"auth_username":{"type":["string","null"],"description":"Username for HTTP Basic Auth"},"auth_password":{"type":["string","null"],"description":"Password for HTTP Basic Auth"},"test_regions":{"type":"array","items":{"type":"string"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions the check runs from. Format: aws:{region}"},"user_alerts":{"type":"array","items":{"type":"string"},"description":"User IDs to notify on alerts"},"slack_alerts":{"type":"array","items":{"type":"string"},"description":"Slack integration IDs to notify"},"discord_alerts":{"type":"array","items":{"type":"string"},"description":"Discord integration IDs to notify"},"incident_io_alerts":{"type":"array","items":{"type":"string"},"description":"Incident.io integration IDs to notify"},"microsoft_teams_alerts":{"type":"array","items":{"type":"string"},"description":"Microsoft Teams integration IDs to notify"},"telegram_alerts":{"type":"array","items":{"type":"string"},"description":"Telegram integration IDs to notify"},"pushover_alerts":{"type":"array","items":{"type":"string"},"description":"Pushover integration IDs to notify"},"oncall_alerts":{"type":"array","items":{"type":"string"},"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)"},"webhook_alerts":{"type":"array","items":{"type":"string"},"description":"Webhook IDs to notify"},"check_type":{"type":"string","enum":["UPTIME"],"example":"UPTIME","description":"Indicates this monitor is an uptime check."}},"required":["id","name","url","last_queued","status","headers","text_to_search_for","reminder_alert_interval_minutes","confirmation_period_seconds","recovery_period_seconds","test_interval","timeout","version","script","alert_priority","verify_ssl","method","body","follow_redirects","assertions","auth_username","auth_password","test_regions","user_alerts","slack_alerts","discord_alerts","incident_io_alerts","microsoft_teams_alerts","telegram_alerts","pushover_alerts","oncall_alerts","webhook_alerts","check_type"]},{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"name":{"type":"string","example":"My landing page","description":"Name of the check"},"url":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for script-based browser checks)"},"last_queued":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"status":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"},"headers":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"text_to_search_for":{"type":["string","null"],"description":"Text to search for in the response"},"reminder_alert_interval_minutes":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"confirmation_period_seconds":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"recovery_period_seconds":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"test_interval":{"type":"number","example":60,"description":"Interval in seconds between checks"},"timeout":{"type":"number","example":10000,"description":"Timeout in milliseconds"},"version":{"type":["string","null"],"enum":["NODE20_PLAYWRIGHT","NODE24_PLAYWRIGHT","CLOUDFLARE"],"example":"NODE24_PLAYWRIGHT","description":"Runtime version for browser checks (null for standard uptime checks)"},"script":{"type":["string","null"],"description":"Playwright Test script for scripted browser checks (null for URL-based checks)"},"alert_priority":{"type":"string","enum":["LOW","HIGH"],"example":"HIGH","description":"Priority level for alerts"},"verify_ssl":{"type":"boolean","example":true,"description":"Whether to verify SSL certificates"},"method":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"example":"GET","description":"HTTP method to use"},"body":{"type":["string","null"],"description":"Request body for POST/PUT/PATCH requests"},"follow_redirects":{"type":"boolean","example":true,"description":"Whether to follow HTTP redirects"},"assertions":{"type":["array","null"],"items":{"type":"object","properties":{"type":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"property":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"John Doe","description":"Expected value"}},"required":["type","property","comparison","expected"]},"description":"Assertions to validate the response"},"auth_username":{"type":["string","null"],"description":"Username for HTTP Basic Auth"},"auth_password":{"type":["string","null"],"description":"Password for HTTP Basic Auth"},"test_regions":{"type":"array","items":{"type":"string"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions the check runs from. Format: aws:{region}"},"user_alerts":{"type":"array","items":{"type":"string"},"description":"User IDs to notify on alerts"},"slack_alerts":{"type":"array","items":{"type":"string"},"description":"Slack integration IDs to notify"},"discord_alerts":{"type":"array","items":{"type":"string"},"description":"Discord integration IDs to notify"},"incident_io_alerts":{"type":"array","items":{"type":"string"},"description":"Incident.io integration IDs to notify"},"microsoft_teams_alerts":{"type":"array","items":{"type":"string"},"description":"Microsoft Teams integration IDs to notify"},"telegram_alerts":{"type":"array","items":{"type":"string"},"description":"Telegram integration IDs to notify"},"pushover_alerts":{"type":"array","items":{"type":"string"},"description":"Pushover integration IDs to notify"},"oncall_alerts":{"type":"array","items":{"type":"string"},"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)"},"webhook_alerts":{"type":"array","items":{"type":"string"},"description":"Webhook IDs to notify"},"check_type":{"type":"string","enum":["BROWSER"],"example":"BROWSER","description":"Indicates this monitor is a browser check."}},"required":["id","name","url","last_queued","status","headers","text_to_search_for","reminder_alert_interval_minutes","confirmation_period_seconds","recovery_period_seconds","test_interval","timeout","version","script","alert_priority","verify_ssl","method","body","follow_redirects","assertions","auth_username","auth_password","test_regions","user_alerts","slack_alerts","discord_alerts","incident_io_alerts","microsoft_teams_alerts","telegram_alerts","pushover_alerts","oncall_alerts","webhook_alerts","check_type"]},{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"name":{"type":"string","example":"My landing page","description":"Name of the check"},"last_queued":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"status":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"},"headers":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"text_to_search_for":{"type":["string","null"],"description":"Text to search for in the response"},"reminder_alert_interval_minutes":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"confirmation_period_seconds":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"recovery_period_seconds":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"test_interval":{"type":"number","example":60,"description":"Interval in seconds between checks"},"timeout":{"type":"number","example":10000,"description":"Timeout in milliseconds"},"script":{"type":["string","null"],"description":"Playwright Test script for scripted browser checks (null for URL-based checks)"},"alert_priority":{"type":"string","enum":["LOW","HIGH"],"example":"HIGH","description":"Priority level for alerts"},"verify_ssl":{"type":"boolean","example":true,"description":"Whether to verify SSL certificates"},"method":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"example":"GET","description":"HTTP method to use"},"body":{"type":["string","null"],"description":"Request body for POST/PUT/PATCH requests"},"follow_redirects":{"type":"boolean","example":true,"description":"Whether to follow HTTP redirects"},"auth_username":{"type":["string","null"],"description":"Username for HTTP Basic Auth"},"auth_password":{"type":["string","null"],"description":"Password for HTTP Basic Auth"},"test_regions":{"type":"array","items":{"type":"string"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions the check runs from. Format: aws:{region}"},"user_alerts":{"type":"array","items":{"type":"string"},"description":"User IDs to notify on alerts"},"slack_alerts":{"type":"array","items":{"type":"string"},"description":"Slack integration IDs to notify"},"discord_alerts":{"type":"array","items":{"type":"string"},"description":"Discord integration IDs to notify"},"incident_io_alerts":{"type":"array","items":{"type":"string"},"description":"Incident.io integration IDs to notify"},"microsoft_teams_alerts":{"type":"array","items":{"type":"string"},"description":"Microsoft Teams integration IDs to notify"},"telegram_alerts":{"type":"array","items":{"type":"string"},"description":"Telegram integration IDs to notify"},"pushover_alerts":{"type":"array","items":{"type":"string"},"description":"Pushover integration IDs to notify"},"oncall_alerts":{"type":"array","items":{"type":"string"},"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)"},"webhook_alerts":{"type":"array","items":{"type":"string"},"description":"Webhook IDs to notify"},"check_type":{"type":"string","enum":["DNS"],"example":"DNS","description":"Indicates this monitor is a DNS check."},"url":{"type":"null","description":"DNS checks do not use a URL target."},"version":{"type":"string","enum":["NODE24_DNS"],"example":"NODE24_DNS","description":"Runtime version for DNS checks."},"dns_domain":{"type":"string","example":"example.com","description":"DNS name queried by this check."},"dns_record_type":{"type":"string","enum":["A","AAAA","CNAME","MX","NS","SOA","TXT"],"example":"A","description":"DNS record type queried by this check."},"dns_resolver":{"type":["string","null"],"example":"8.8.8.8:53","description":"Custom resolver used by this check, or null for the default resolver."},"dns_protocol":{"type":"string","enum":["UDP","TCP"],"example":"UDP","description":"DNS transport protocol used by this check."},"assertions":{"type":["array","null"],"items":{"type":"object","properties":{"type":{"type":"string","enum":["DNS_RESPONSE_CODE","DNS_TEXT_ANSWER","DNS_JSON_ANSWER"],"example":"DNS_JSON_ANSWER","description":"Type of DNS assertion"},"property":{"type":"string","example":"$.answers[0].data","description":"Property to assert on. Use JSONPath for DNS_JSON_ANSWER, status for DNS_RESPONSE_CODE, and an empty string for DNS_TEXT_ANSWER."},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"93.184.216.34","description":"Expected value"}},"required":["type","property","comparison","expected"]},"description":"DNS assertions to validate the response."}},"required":["id","name","last_queued","status","headers","text_to_search_for","reminder_alert_interval_minutes","confirmation_period_seconds","recovery_period_seconds","test_interval","timeout","script","alert_priority","verify_ssl","method","body","follow_redirects","auth_username","auth_password","test_regions","user_alerts","slack_alerts","discord_alerts","incident_io_alerts","microsoft_teams_alerts","telegram_alerts","pushover_alerts","oncall_alerts","webhook_alerts","check_type","url","version","dns_domain","dns_record_type","dns_resolver","dns_protocol","assertions"]},{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"name":{"type":"string","example":"My landing page","description":"Name of the check"},"last_queued":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"status":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"},"headers":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"text_to_search_for":{"type":["string","null"],"description":"Text to search for in the response"},"reminder_alert_interval_minutes":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"confirmation_period_seconds":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"recovery_period_seconds":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"test_interval":{"type":"number","example":60,"description":"Interval in seconds between checks"},"timeout":{"type":"number","example":10000,"description":"Timeout in milliseconds"},"script":{"type":["string","null"],"description":"Playwright Test script for scripted browser checks (null for URL-based checks)"},"alert_priority":{"type":"string","enum":["LOW","HIGH"],"example":"HIGH","description":"Priority level for alerts"},"verify_ssl":{"type":"boolean","example":true,"description":"Whether to verify SSL certificates"},"method":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"example":"GET","description":"HTTP method to use"},"body":{"type":["string","null"],"description":"Request body for POST/PUT/PATCH requests"},"follow_redirects":{"type":"boolean","example":true,"description":"Whether to follow HTTP redirects"},"auth_username":{"type":["string","null"],"description":"Username for HTTP Basic Auth"},"auth_password":{"type":["string","null"],"description":"Password for HTTP Basic Auth"},"test_regions":{"type":"array","items":{"type":"string"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions the check runs from. Format: aws:{region}"},"user_alerts":{"type":"array","items":{"type":"string"},"description":"User IDs to notify on alerts"},"slack_alerts":{"type":"array","items":{"type":"string"},"description":"Slack integration IDs to notify"},"discord_alerts":{"type":"array","items":{"type":"string"},"description":"Discord integration IDs to notify"},"incident_io_alerts":{"type":"array","items":{"type":"string"},"description":"Incident.io integration IDs to notify"},"microsoft_teams_alerts":{"type":"array","items":{"type":"string"},"description":"Microsoft Teams integration IDs to notify"},"telegram_alerts":{"type":"array","items":{"type":"string"},"description":"Telegram integration IDs to notify"},"pushover_alerts":{"type":"array","items":{"type":"string"},"description":"Pushover integration IDs to notify"},"oncall_alerts":{"type":"array","items":{"type":"string"},"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)"},"webhook_alerts":{"type":"array","items":{"type":"string"},"description":"Webhook IDs to notify"},"check_type":{"type":"string","enum":["TCP"],"example":"TCP","description":"Indicates this monitor is a TCP check."},"url":{"type":"null","description":"TCP checks do not use a URL target."},"version":{"type":"string","enum":["NODE24_TCP"],"example":"NODE24_TCP","description":"Runtime version for TCP checks."},"tcp_hostname":{"type":"string","example":"tcpbin.com","description":"TCP hostname connected to by this check."},"tcp_port":{"type":"integer","minimum":1,"maximum":65535,"example":4242,"description":"TCP port to connect to"},"tcp_ip_family":{"type":"string","enum":["IPv4","IPv6"],"example":"IPv4","description":"IP family used by this check."},"tcp_data":{"type":["string","null"],"description":"Optional TCP payload sent by this check."},"tcp_should_fail":{"type":"boolean","example":false,"description":"Whether failed TCP connections are expected."},"assertions":{"type":["array","null"],"items":{"type":"object","properties":{"type":{"type":"string","enum":["TCP_RESPONSE_TIME","TCP_RESPONSE_DATA"],"example":"TCP_RESPONSE_DATA","description":"Type of TCP assertion"},"property":{"type":"string","example":"","description":"Property to assert on. Use an empty string for raw TCP response data and responseTime for response time assertions."},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"OK","description":"Expected value"}},"required":["type","property","comparison","expected"]},"description":"TCP assertions to validate the response."}},"required":["id","name","last_queued","status","headers","text_to_search_for","reminder_alert_interval_minutes","confirmation_period_seconds","recovery_period_seconds","test_interval","timeout","script","alert_priority","verify_ssl","method","body","follow_redirects","auth_username","auth_password","test_regions","user_alerts","slack_alerts","discord_alerts","incident_io_alerts","microsoft_teams_alerts","telegram_alerts","pushover_alerts","oncall_alerts","webhook_alerts","check_type","url","version","tcp_hostname","tcp_port","tcp_ip_family","tcp_data","tcp_should_fail","assertions"]}],"discriminator":{"propertyName":"check_type","mapping":{"UPTIME":"#/components/schemas/ExpandedUptimeCheck","BROWSER":"#/components/schemas/ExpandedBrowserCheck","DNS":"#/components/schemas/ExpandedDnsCheck","TCP":"#/components/schemas/ExpandedTcpCheck"}}},"in":"body","name":"result","depth":1,"type":"any","safeType":"any","required":true,"displayName":"» result"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"name":{"type":"string","example":"My landing page","description":"Name of the check"},"url":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for script-based browser checks)"},"last_queued":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"status":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"},"headers":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"text_to_search_for":{"type":["string","null"],"description":"Text to search for in the response"},"reminder_alert_interval_minutes":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"confirmation_period_seconds":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"recovery_period_seconds":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"test_interval":{"type":"number","example":60,"description":"Interval in seconds between checks"},"timeout":{"type":"number","example":10000,"description":"Timeout in milliseconds"},"version":{"type":["string","null"],"enum":["NODE20_PLAYWRIGHT","NODE24_PLAYWRIGHT","CLOUDFLARE"],"example":"NODE24_PLAYWRIGHT","description":"Runtime version for browser checks (null for standard uptime checks)"},"script":{"type":["string","null"],"description":"Playwright Test script for scripted browser checks (null for URL-based checks)"},"alert_priority":{"type":"string","enum":["LOW","HIGH"],"example":"HIGH","description":"Priority level for alerts"},"verify_ssl":{"type":"boolean","example":true,"description":"Whether to verify SSL certificates"},"method":{"type":"string","enum":["GET","HEAD","POST","PUT","PATCH","DELETE"],"example":"GET","description":"HTTP method to use"},"body":{"type":["string","null"],"description":"Request body for POST/PUT/PATCH requests"},"follow_redirects":{"type":"boolean","example":true,"description":"Whether to follow HTTP redirects"},"assertions":{"type":["array","null"],"items":{"type":"object","properties":{"type":{"type":"string","enum":["JSON_BODY","TEXT_BODY","RESPONSE_HEADERS","HTML_BODY"],"example":"JSON_BODY","description":"Type of assertion"},"property":{"type":"string","example":"$.data.name","description":"Property to assert on (JSONPath for JSON_BODY, header name for RESPONSE_HEADERS, CSS selector for HTML_BODY; unused for TEXT_BODY)"},"comparison":{"type":"string","enum":["EQUALS","NOT_EQUALS","GREATER_THAN","LESS_THAN","NULL","NOT_NULL","EMPTY","NOT_EMPTY","CONTAINS","NOT_CONTAINS","FALSE","TRUE"],"example":"EQUALS","description":"Comparison operator"},"expected":{"type":"string","example":"John Doe","description":"Expected value"}},"required":["type","property","comparison","expected"]},"description":"Assertions to validate the response"},"auth_username":{"type":["string","null"],"description":"Username for HTTP Basic Auth"},"auth_password":{"type":["string","null"],"description":"Password for HTTP Basic Auth"},"test_regions":{"type":"array","items":{"type":"string"},"example":["aws:us-east-1","aws:eu-central-1"],"description":"Regions the check runs from. Format: aws:{region}"},"user_alerts":{"type":"array","items":{"type":"string"},"description":"User IDs to notify on alerts"},"slack_alerts":{"type":"array","items":{"type":"string"},"description":"Slack integration IDs to notify"},"discord_alerts":{"type":"array","items":{"type":"string"},"description":"Discord integration IDs to notify"},"incident_io_alerts":{"type":"array","items":{"type":"string"},"description":"Incident.io integration IDs to notify"},"microsoft_teams_alerts":{"type":"array","items":{"type":"string"},"description":"Microsoft Teams integration IDs to notify"},"telegram_alerts":{"type":"array","items":{"type":"string"},"description":"Telegram integration IDs to notify"},"pushover_alerts":{"type":"array","items":{"type":"string"},"description":"Pushover integration IDs to notify"},"oncall_alerts":{"type":"array","items":{"type":"string"},"description":"On-call integration IDs (PagerDuty, Opsgenie, Grafana, Spike)"},"webhook_alerts":{"type":"array","items":{"type":"string"},"description":"Webhook IDs to notify"},"check_type":{"type":"string","enum":["UPTIME"],"example":"UPTIME","description":"Indicates this monitor is an uptime check."}},"required":["id","name","url","last_queued","status","headers","text_to_search_for","reminder_alert_interval_minutes","confirmation_period_seconds","recovery_period_seconds","test_interval","timeout","version","script","alert_priority","verify_ssl","method","body","follow_redirects","assertions","auth_username","auth_password","test_regions","user_alerts","slack_alerts","discord_alerts","incident_io_alerts","microsoft_teams_alerts","telegram_alerts","pushover_alerts","oncall_alerts","webhook_alerts","check_type"]},"in":"body","name":"*anonymous*","depth":2,"type":"object","safeType":"object","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Uptime Check ID"},"in":"body","name":"id","depth":3,"description":"Uptime Check ID","type":"string","safeType":"string","required":true,"displayName":"»»» id"},{"schema":{"type":"string","example":"My landing page","description":"Name of the check"},"in":"body","name":"name","depth":3,"description":"Name of the check","type":"string","safeType":"string","required":true,"displayName":"»»» name"},{"schema":{"type":["string","null"],"format":"uri","example":"https://example.com","description":"URL to check (null for script-based browser checks)"},"in":"body","name":"url","depth":3,"description":"URL to check (null for script-based browser checks)","type":["string","null"],"format":"uri","safeType":"string,null(uri)","required":true,"displayName":"»»» url"},{"schema":{"type":["string","null"],"example":"2021-01-01T00:00:00.000Z","description":"Last time the check was queued"},"in":"body","name":"last_queued","depth":3,"description":"Last time the check was queued","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» last_queued"},{"schema":{"type":"string","enum":["UP","DOWN","PENDING","PAUSED","MUTED","MAINTENANCE","RECOVERING","VERIFYING"],"example":"UP","description":"Current status of the check based on the latest uptime event"},"in":"body","name":"status","depth":3,"description":"Current status of the check based on the latest uptime event","type":"string","safeType":"string","required":true,"displayName":"»»» status"},{"schema":{"type":["object","null"],"additionalProperties":{"type":"string"},"example":{"X-My-Header":"My Value"},"description":"Headers to send with the request"},"in":"body","name":"headers","depth":3,"description":"Headers to send with the request","type":["object","null"],"safeType":["object","null"],"required":true,"displayName":"»»» headers"},{"schema":{"type":"string"},"in":"body","name":"**additionalProperties**","depth":4,"type":"string","safeType":"string","required":false,"displayName":"»»»» **additionalProperties**"},{"schema":{"type":["string","null"],"description":"Text to search for in the response"},"in":"body","name":"text_to_search_for","depth":3,"description":"Text to search for in the response","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» text_to_search_for"},{"schema":{"type":"number","example":1440,"description":"Interval in minutes between reminder alerts (-1 for never)"},"in":"body","name":"reminder_alert_interval_minutes","depth":3,"description":"Interval in minutes between reminder alerts (-1 for never)","type":"number","safeType":"number","required":true,"displayName":"»»» reminder_alert_interval_minutes"},{"schema":{"type":"number","example":60,"description":"Seconds to wait before confirming a down status"},"in":"body","name":"confirmation_period_seconds","depth":3,"description":"Seconds to wait before confirming a down status","type":"number","safeType":"number","required":true,"displayName":"»»» confirmation_period_seconds"},{"schema":{"type":"number","example":180,"description":"Seconds to wait before confirming recovery"},"in":"body","name":"recovery_period_seconds","depth":3,"description":"Seconds to wait before confirming recovery","type":"number","safeType":"number","required":true
[...]
